%global momorel 8

Name:           perl-HTML-RobotsMETA
Version:        0.00004
Release:        %{momorel}m%{?dist}
Summary:        Parse HTML For Robots Exclusion META Markup
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTML-RobotsMETA/
Source0:	http://www.cpan.org/modules/by-module/HTML/HTML-RobotsMETA-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-HTML-Parser >= 3
Requires:       perl-HTML-Parser >= 3
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
HTML::RobotsMETA is a simple HTML::Parser subclass that extracts robots
exclusion information from meta tags. There's not much more to it ;)

%prep
%setup -q -n HTML-RobotsMETA-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/HTML/RobotsMETA*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.00004-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.00004-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.00004-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.00004-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.00004-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.00004-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.00004-2m)
- rebuild against gcc43

* Sat Dec  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.00004-1m)
- update to 0.00004

* Mon Oct 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.00003-1m)
- update to 0.00003

* Thu Oct 18 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.00002-1m)
- update to 0.00002

* Thu Oct 18 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.00001-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
